Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005244OCamlOCaml generalpublic2011-03-29 11:502011-05-16 16:46
Reporterygrek 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005244: String.compare uses polymorphic compare_val
Descriptionlet func1 x y = compare x y
let func2 x y = String.compare x y
let func3 (x:string) y = compare x y
let func4 (x:string) y = String.compare x y

Only func3 calls caml_string_compare directly, others invoke caml_compare via caml_c_call. Verified with `ocamlopt -c -S str.ml`. Probably this is caused by `let compare = Pervasives.compare` in stdlib/string.ml
TagsNo tags attached.
Attached Files

- Relationships
child of 0004194closedxleroy compare functions in stdlib not specialized 

-  Notes
(0005856)
oandrieu (reporter)
2011-03-30 10:41

I had reported this some time ago (issue 0004194) and it was definitely in 3.10.
I looks like it has been reverted at some point ..
(0005857)
ygrek (reporter)
2011-03-30 14:59

looks like stdlib/string.ml was wrongly merged in r8189
(0005894)
doligez (administrator)
2011-05-16 16:46

fixed it by re-doing commit 7818

- Issue History
Date Modified Username Field Change
2011-03-29 11:50 ygrek New Issue
2011-03-30 10:41 oandrieu Note Added: 0005856
2011-03-30 14:59 ygrek Note Added: 0005857
2011-05-16 16:44 doligez Relationship added child of 0004194
2011-05-16 16:46 doligez Note Added: 0005894
2011-05-16 16:46 doligez Status new => closed
2011-05-16 16:46 doligez Resolution open => fixed
2011-05-16 16:46 doligez Fixed in Version => 3.12.1+dev
2011-05-16 16:46 doligez Description Updated


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker